SessionHandlerInterface::destroy
SessionHandlerInterface::open
SessionHandlerInterface
PHP Manual

# SessionHandlerInterface::gc

(PHP 5 >= 5.4.0)

SessionHandlerInterface::gc — Cleanup old sessions

### Description

abstract public bool SessionHandlerInterface::gc ( string `$maxlifetime` )

Cleans up expired sessions. Called by session_start(), based on session.gc_divisor, session.gc_probability and session.gc_lifetime settings.

### Parameters

`maxlifetime`

  Sessions that have not updated for the last `maxlifetime` seconds will be removed.

### Return Values

The return value (usually `TRUE` on success, `FALSE` on failure). Note this value is returned internally to PHP for processing.

SessionHandlerInterface::destroy
SessionHandlerInterface::open
SessionHandlerInterface
PHP Manual